Bug 268328 - Rekonq crash when returning from private mode [QStyleSheetStyle::event]
Summary: Rekonq crash when returning from private mode [QStyleSheetStyle::event]
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Applications
Component: general (show other bugs)
Version: 0.9.1
Platform: unspecified Linux
: NOR crash with 31 votes (vote)
Target Milestone: 0.10
Assignee: Andrea Diamantini
URL:
Keywords:
: 272573 273027 273408 276880 279648 280938 281923 283363 284995 285386 286064 286183 286330 287391 289209 290044 292005 292915 293156 293312 293497 293812 296612 300694 301198 301251 301864 302658 303973 304040 304185 305080 310470 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-03-12 23:51 UTC by Julien Humbert
Modified: 2014-07-14 11:09 UTC (History)
41 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (17.86 KB, text/plain)
2011-10-25 11:54 UTC, Martin
Details
New crash information added by DrKonqi (16.84 KB, text/plain)
2011-11-04 18:19 UTC, geckor
Details
New crash information added by DrKonqi (19.78 KB, text/plain)
2011-11-06 02:15 UTC, Ettore Atalan
Details
New crash information added by DrKonqi (11.46 KB, text/plain)
2011-12-05 16:18 UTC, Silviu C.
Details
New crash information added by DrKonqi (13.21 KB, text/plain)
2011-12-11 17:52 UTC, Silviu C.
Details
New crash information added by DrKonqi (11.85 KB, text/plain)
2011-12-30 11:31 UTC, Silviu C.
Details
New crash information added by DrKonqi (11.54 KB, text/plain)
2012-01-19 21:13 UTC, tigusoft
Details
drkonqi generated backtrace (13.08 KB, application/octet-stream)
2012-03-05 18:06 UTC, David
Details
drkonqi generated backtrace (13.21 KB, text/plain)
2012-03-05 18:09 UTC, David
Details
New crash information added by DrKonqi (18.91 KB, text/plain)
2012-06-15 11:37 UTC, db2007
Details
New crash information added by DrKonqi (11.77 KB, text/plain)
2012-09-18 18:02 UTC, David Kredba
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Humbert 2011-03-12 23:51:07 UTC
Application: rekonq (0.6.85)
KDE Platform Version: 4.6.1 (4.6.1)
Qt Version: 4.7.1
Operating System: Linux 2.6.38-CHAKRA i686
Distribution: "Chakra Linux"

-- Information about the crash:
- What I was doing when the application crashed:
I was returning from private mode to normal mode.

- Custom settings of the application:
I was viewing http://www.google.fr in private mode before clicking on the button to retun to the normal mode.
I'm using Chakra Project GNU/Linux KDE Packages.

The crash does not seem to be reproducible.

-- Backtrace:
Application: rekonq (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb5774710 (LWP 1610))]

Thread 14 (Thread 0xb01c6b70 (LWP 1611)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce53fc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb44dd4b7 in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib/libQtWebKit.so.4
#3  0xb44dd501 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib/libQtWebKit.so.4
#4  0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#5  0xb602bfbe in clone () from /lib/libc.so.6

Thread 13 (Thread 0xaf7abb70 (LWP 1612)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce53fc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb3668027 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0xb3780720) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#3  0xb3668071 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0xb3780720) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#4  0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#5  0xb602bfbe in clone () from /lib/libc.so.6

Thread 12 (Thread 0xaec95b70 (LWP 1613)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce53fc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6d590ef in QWaitConditionPrivate::wait (this=0x8ca3c80, mutex=0x8ca3f20, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x8ca3c80, mutex=0x8ca3f20, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0xb311efe0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8ca3c68, th=0x8d8bc58)
    at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb3121c7c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8ca3fe0, th=0x8d8bc58)
    at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb311ec2b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8ca3c68, th=0x8d8bc58) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb3121d6a in ThreadWeaver::WorkingHardState::applyForWork (this=0x8ca3fe0, th=0x8d8bc58) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb311eb73 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8ca3c68, th=0x8d8bc58, previous=0x0) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb3121d89 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8ca3fe0, th=0x8d8bc58) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb311eb73 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8ca3c68, th=0x8d8bc58, previous=0x0) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb3121d89 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8ca3fe0, th=0x8d8bc58) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0xb311eb73 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8ca3c68, th=0x8d8bc58, previous=0x929c540)
    at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#13 0xb312078e in ThreadWeaver::ThreadRunHelper::run (this=0xaec952f4, parent=0x8ca3c68, th=0x8d8bc58) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#14 0xb312084b in ThreadWeaver::Thread::run (this=0x8d8bc58) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#15 0xb6d58881 in QThreadPrivate::start (arg=0x8d8bc58) at thread/qthread_unix.cpp:285
#16 0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#17 0xb602bfbe in clone () from /lib/libc.so.6

Thread 11 (Thread 0xacedab70 (LWP 1614)):
#0  0xb5b7cd76 in clock_gettime () from /lib/librt.so.1
#1  0xb6db6218 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb6e91742 in QTimerInfoList::updateCurrentTime (this=0xae302a9c, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0xae302a9c, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb6e8fcc2 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xaceda0bc) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb6e8fd5d in timerSourcePrepare (source=0xae302a68, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb5ae9026 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0xb5ae9ec3 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb5aea594 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0xb6e90537 in QEventDispatcherGlib::processEvents (this=0xae301270, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0xb6e5e0b9 in QEventLoop::processEvents (this=0xaceda280, flags=...) at kernel/qeventloop.cpp:149
#12 0xb6e5e35a in QEventLoop::exec (this=0xaceda280, flags=...) at kernel/qeventloop.cpp:201
#13 0xb6d558cf in QThread::exec (this=0x8e1e688) at thread/qthread.cpp:490
#14 0xb6e3d981 in QInotifyFileSystemWatcherEngine::run (this=0x8e1e688) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb6d58881 in QThreadPrivate::start (arg=0x8e1e688) at thread/qthread_unix.cpp:285
#16 0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#17 0xb602bfbe in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa5da5b70 (LWP 1638)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce53fc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6d590ef in QWaitConditionPrivate::wait (this=0x8ca3c80, mutex=0x8ca3f20, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x8ca3c80, mutex=0x8ca3f20, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0xb311efe0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8ca3c68, th=0x8cf27c8)
    at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb3121c7c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8ca3fe0, th=0x8cf27c8)
    at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb311ec2b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8ca3c68, th=0x8cf27c8) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb3121d6a in ThreadWeaver::WorkingHardState::applyForWork (this=0x8ca3fe0, th=0x8cf27c8) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb311eb73 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8ca3c68, th=0x8cf27c8, previous=0x0) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb3121d89 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8ca3fe0, th=0x8cf27c8) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb311eb73 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8ca3c68, th=0x8cf27c8, previous=0x90d8a78)
    at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb312078e in ThreadWeaver::ThreadRunHelper::run (this=0xa5da52f4, parent=0x8ca3c68, th=0x8cf27c8) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#12 0xb312084b in ThreadWeaver::Thread::run (this=0x8cf27c8) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#13 0xb6d58881 in QThreadPrivate::start (arg=0x8cf27c8) at thread/qthread_unix.cpp:285
#14 0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#15 0xb602bfbe in clone () from /lib/libc.so.6

Thread 9 (Thread 0xa5501b70 (LWP 1639)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce53fc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6d590ef in QWaitConditionPrivate::wait (this=0x8ca3c80, mutex=0x8ca3f20, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x8ca3c80, mutex=0x8ca3f20, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0xb311efe0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8ca3c68, th=0x8ee23a0)
    at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb3121c7c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8ca3fe0, th=0x8ee23a0)
    at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb311ec2b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8ca3c68, th=0x8ee23a0) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb3121d6a in ThreadWeaver::WorkingHardState::applyForWork (this=0x8ca3fe0, th=0x8ee23a0) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb311eb73 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8ca3c68, th=0x8ee23a0, previous=0x90deb78)
    at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb312078e in ThreadWeaver::ThreadRunHelper::run (this=0xa55012f4, parent=0x8ca3c68, th=0x8ee23a0) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#10 0xb312084b in ThreadWeaver::Thread::run (this=0x8ee23a0) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#11 0xb6d58881 in QThreadPrivate::start (arg=0x8ee23a0) at thread/qthread_unix.cpp:285
#12 0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#13 0xb602bfbe in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa4d00b70 (LWP 1640)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce57a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6d59011 in QWaitConditionPrivate::wait (this=0xae305be4, mutex=0xae305be0, time=30000) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0xae305be4, mutex=0xae305be0, time=30000) at thread/qwaitcondition_unix.cpp:160
#4  0xb6d4ccc1 in QThreadPoolThread::run (this=0xae301060) at concurrent/qthreadpool.cpp:140
#5  0xb6d58881 in QThreadPrivate::start (arg=0xae301060) at thread/qthread_unix.cpp:285
#6  0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#7  0xb602bfbe in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa34fdb70 (LWP 1645)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce57a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6d59011 in QWaitConditionPrivate::wait (this=0xae305be4, mutex=0xae305be0, time=30000) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0xae305be4, mutex=0xae305be0, time=30000) at thread/qwaitcondition_unix.cpp:160
#4  0xb6d4ccc1 in QThreadPoolThread::run (this=0xae305688) at concurrent/qthreadpool.cpp:140
#5  0xb6d58881 in QThreadPrivate::start (arg=0xae305688) at thread/qthread_unix.cpp:285
#6  0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#7  0xb602bfbe in clone () from /lib/libc.so.6

Thread 6 (Thread 0xa24fbb70 (LWP 1647)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce57a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6d59011 in QWaitConditionPrivate::wait (this=0xae305be4, mutex=0xae305be0, time=30000) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0xae305be4, mutex=0xae305be0, time=30000) at thread/qwaitcondition_unix.cpp:160
#4  0xb6d4ccc1 in QThreadPoolThread::run (this=0xae3087b0) at concurrent/qthreadpool.cpp:140
#5  0xb6d58881 in QThreadPrivate::start (arg=0xae3087b0) at thread/qthread_unix.cpp:285
#6  0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#7  0xb602bfbe in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa2cfcb70 (LWP 1672)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce57a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6d59011 in QWaitConditionPrivate::wait (this=0xae305be4, mutex=0xae305be0, time=30000) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0xae305be4, mutex=0xae305be0, time=30000) at thread/qwaitcondition_unix.cpp:160
#4  0xb6d4ccc1 in QThreadPoolThread::run (this=0x8f399e8) at concurrent/qthreadpool.cpp:140
#5  0xb6d58881 in QThreadPrivate::start (arg=0x8f399e8) at thread/qthread_unix.cpp:285
#6  0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#7  0xb602bfbe in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa3cfeb70 (LWP 1673)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce57a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6d59011 in QWaitConditionPrivate::wait (this=0xae305be4, mutex=0xae305be0, time=30000) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0xae305be4, mutex=0xae305be0, time=30000) at thread/qwaitcondition_unix.cpp:160
#4  0xb6d4ccc1 in QThreadPoolThread::run (this=0xae306488) at concurrent/qthreadpool.cpp:140
#5  0xb6d58881 in QThreadPrivate::start (arg=0xae306488) at thread/qthread_unix.cpp:285
#6  0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#7  0xb602bfbe in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa024eb70 (LWP 1674)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce57a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6d59011 in QWaitConditionPrivate::wait (this=0x9fe88ac, mutex=0x9fe88a8, time=30000) at thread/qwaitcondition_unix.cpp:86
#3  QWaitCondition::wait (this=0x9fe88ac, mutex=0x9fe88a8, time=30000) at thread/qwaitcondition_unix.cpp:160
#4  0xb6d4ccc1 in QThreadPoolThread::run (this=0x8d5fb28) at concurrent/qthreadpool.cpp:140
#5  0xb6d58881 in QThreadPrivate::start (arg=0x8d5fb28) at thread/qthread_unix.cpp:285
#6  0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#7  0xb602bfbe in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa44ffb70 (LWP 1675)):
#0  0xb7733424 in __kernel_vsyscall ()
#1  0xb6ce53fc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6d590ef in QWaitConditionPrivate::wait (this=0x8ca3c80, mutex=0x8ca3f20, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x8ca3c80, mutex=0x8ca3f20, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0xb311efe0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8ca3c68, th=0x9343808)
    at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb3121c7c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8ca3fe0, th=0x9343808)
    at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb311ec2b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8ca3c68, th=0x9343808) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb3121d6a in ThreadWeaver::WorkingHardState::applyForWork (this=0x8ca3fe0, th=0x9343808) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb311eb73 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8ca3c68, th=0x9343808, previous=0x0) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb3121d89 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8ca3fe0, th=0x9343808) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb311eb73 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8ca3c68, th=0x9343808, previous=0x0) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb312078e in ThreadWeaver::ThreadRunHelper::run (this=0xa44ff2f4, parent=0x8ca3c68, th=0x9343808) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#12 0xb312084b in ThreadWeaver::Thread::run (this=0x9343808) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#13 0xb6d58881 in QThreadPrivate::start (arg=0x9343808) at thread/qthread_unix.cpp:285
#14 0xb6ce0e60 in start_thread () from /lib/libpthread.so.0
#15 0xb602bfbe in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb5774710 (LWP 1610)):
[KCrash Handler]
#7  0x09298925 in ?? ()
#8  0xb62c7f11 in QApplicationPrivate::notify_helper (this=0x8bd2208, receiver=0x9297148, e=0xbfc5c9f0) at kernel/qapplication.cpp:4445
#9  0xb62cd41e in QApplication::notify (this=0xbfc5d9b0, receiver=0x9297148, e=0xbfc5c9f0) at kernel/qapplication.cpp:4410
#10 0xb753be1a in KApplication::notify (this=0xbfc5d9b0, receiver=0x9297148, event=0xbfc5c9f0) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#11 0xb6e5f70b in QCoreApplication::notifyInternal (this=0xbfc5d9b0, receiver=0x9297148, event=0xbfc5c9f0) at kernel/qcoreapplication.cpp:732
#12 0xb62c6699 in QCoreApplication::sendEvent (focus=0x0, reason=Qt::OtherFocusReason) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#13 QApplicationPrivate::setFocusWidget (focus=0x0, reason=Qt::OtherFocusReason) at kernel/qapplication.cpp:2218
#14 0xb631783c in QWidget::clearFocus (this=0x929f980) at kernel/qwidget.cpp:6375
#15 0xb6324a81 in ~QWidget (this=0x929f980, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1532
#16 0xb676a981 in ~QLineEdit (this=0x929f980, __in_chrg=<value optimized out>) at widgets/qlineedit.cpp:354
#17 0xb760e538 in ~KLineEdit (this=0x929f980, __in_chrg=<value optimized out>) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kdeui/widgets/klineedit.cpp:247
#18 0xb2473235 in UrlBar::~UrlBar() () from /usr/lib/libkdeinit4_rekonq.so
#19 0xb24732a2 in UrlBar::~UrlBar() () from /usr/lib/libkdeinit4_rekonq.so
#20 0xb6e75e41 in QObjectPrivate::deleteChildren (this=0x9186bf8) at kernel/qobject.cpp:1957
#21 0xb6324b47 in ~QWidget (this=0x91f1e00, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1600
#22 0xb675ba61 in ~QFrame (this=0x91f1e00, __in_chrg=<value optimized out>) at widgets/qframe.cpp:240
#23 0xb67c8cd1 in ~QStackedWidget (this=0x91f1e00, __in_chrg=<value optimized out>) at widgets/qstackedwidget.cpp:149
#24 0xb2470dc1 in StackedUrlBar::~StackedUrlBar() () from /usr/lib/libkdeinit4_rekonq.so
#25 0xb2470e02 in StackedUrlBar::~StackedUrlBar() () from /usr/lib/libkdeinit4_rekonq.so
#26 0xb6332580 in ~QWidgetAction (this=0x924a8c0, __in_chrg=<value optimized out>) at kernel/qwidgetaction.cpp:128
#27 0xb7444173 in ~KAction (this=0x924a8c0, __in_chrg=<value optimized out>) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kdeui/actions/kaction.cpp:160
#28 0xb74441d2 in ~KAction (this=0x924a8c0, __in_chrg=<value optimized out>) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kdeui/actions/kaction.cpp:171
#29 0xb6e75e41 in QObjectPrivate::deleteChildren (this=0x8f4beb8) at kernel/qobject.cpp:1957
#30 0xb6324b47 in ~QWidget (this=0x918c0d8, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1600
#31 0xb6778fe1 in ~QMainWindow (this=0x918c0d8, __in_chrg=<value optimized out>) at widgets/qmainwindow.cpp:388
#32 0xb761a994 in ~KMainWindow (this=0x918c0d8, __in_chrg=<value optimized out>) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kdeui/widgets/kmainwindow.cpp:467
#33 0xb765beaa in ~KXmlGuiWindow (this=0x918c0d8, __vtt_parm=0xb24ae734, __in_chrg=<value optimized out>) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kdeui/xmlgui/kxmlguiwindow.cpp:118
#34 0xb24127d5 in MainWindow::~MainWindow() () from /usr/lib/libkdeinit4_rekonq.so
#35 0xb2412852 in MainWindow::~MainWindow() () from /usr/lib/libkdeinit4_rekonq.so
#36 0xb6e740a5 in qDeleteInEventHandler (o=0x918c0d8) at kernel/qobject.cpp:3988
#37 0xb6e77050 in QObject::event (this=0x918c0d8, e=0xa4e7620) at kernel/qobject.cpp:1202
#38 0xb6329ce2 in QWidget::event (this=0x918c0d8, event=0xa4e7620) at kernel/qwidget.cpp:8659
#39 0xb677b477 in QMainWindow::event (this=0x918c0d8, event=0xa4e7620) at widgets/qmainwindow.cpp:1478
#40 0xb761a67c in KMainWindow::event (this=0x918c0d8, ev=0xa4e7620) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kdeui/widgets/kmainwindow.cpp:1100
#41 0xb241503a in MainWindow::event(QEvent*) () from /usr/lib/libkdeinit4_rekonq.so
#42 0xb62c7f11 in QApplicationPrivate::notify_helper (this=0x8bd2208, receiver=0x918c0d8, e=0xa4e7620) at kernel/qapplication.cpp:4445
#43 0xb62cd41e in QApplication::notify (this=0xbfc5d9b0, receiver=0x918c0d8, e=0xa4e7620) at kernel/qapplication.cpp:4410
#44 0xb753be1a in KApplication::notify (this=0xbfc5d9b0, receiver=0x918c0d8, event=0xa4e7620) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#45 0xb6e5f70b in QCoreApplication::notifyInternal (this=0xbfc5d9b0, receiver=0x918c0d8, event=0xa4e7620) at kernel/qcoreapplication.cpp:732
#46 0xb6e63bc7 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x8b29f08) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#47 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8b29f08) at kernel/qcoreapplication.cpp:1373
#48 0xb6e63e0d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#49 0xb6e90384 in QCoreApplication::sendPostedEvents (s=0x8bd4cb0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#50 postEventSourceDispatch (s=0x8bd4cb0) at kernel/qeventdispatcher_glib.cpp:277
#51 0xb5ae9b02 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#52 0xb5aea2e0 in ?? () from /usr/lib/libglib-2.0.so.0
#53 0xb5aea594 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#54 0xb6e904fc in QEventDispatcherGlib::processEvents (this=0x8bd1b18, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#55 0xb6388085 in QGuiEventDispatcherGlib::processEvents (this=0x8bd1b18, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#56 0xb6e5e0b9 in QEventLoop::processEvents (this=0xbfc5d904, flags=...) at kernel/qeventloop.cpp:149
#57 0xb6e5e35a in QEventLoop::exec (this=0xbfc5d904, flags=...) at kernel/qeventloop.cpp:201
#58 0xb6e63ecf in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#59 0xb62c5cd7 in QApplication::exec () at kernel/qapplication.cpp:3719
#60 0xb249cb23 in kdemain () from /usr/lib/libkdeinit4_rekonq.so
#61 0x0804df97 in launch (argc=1, _name=0x8b6cff4 "/usr/bin/rekonq", args=<value optimized out>, cwd=0x0, envc=1, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x8b6d017 "momoko-netbook;1299969668;895118;1398_TIME769504") at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kinit/kinit.cpp:734
#62 0x0804ea42 in handle_launcher_request (sock=8, who=<value optimized out>) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kinit/kinit.cpp:1226
#63 0x0804f03f in handle_requests (waitForPid=0) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kinit/kinit.cpp:1419
#64 0x0804fdd1 in main (argc=) at /home/phil/desktop-testing/kdelibs/src/kdelibs-4.6.1/kinit/kinit.cpp:1907

Possible duplicates by query: bug 268248, bug 268185, bug 268173, bug 268147, bug 268146.

Reported using DrKonqi
Comment 1 Dario Andres 2011-03-13 14:45:59 UTC
[Comment from a bug triager]
The backtrace is related to the crash in bug 264659 (~StackedUrlBar deletion)
Regards
Comment 2 Andrea Diamantini 2011-03-19 10:28:51 UTC
I cannot ensure as I cannot reproduce properly but the cause for this should be fixed in 0.6.89.
Comment 3 Felix Rohrbach 2011-03-23 20:21:06 UTC
I can reproduce this (or a similar crash) with current git:
1. open some web pages
2. go to private mode, open at least one web page
3. go back -> crash.

Backtrace:

Application: rekonq (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7febbadf3760 (LWP 1874))]

Thread 13 (Thread 0x7feba091a700 (LWP 1891)):
#0  0x00007febb963534c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febafa1314c in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib/libQtWebKit.so.4
#2  0x00007febafa13189 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib/libQtWebKit.so.4
#3  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#4  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#5  0x00007febb831495d in clone () from /lib/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7feb9f0f1700 (LWP 1892)):
#0  0x00007febb963534c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febae80768c in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7febaeb2dda0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007febae8076c9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7febaeb3be74) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#4  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#5  0x00007febb831495d in clone () from /lib/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7feb9d96a700 (LWP 1893)):
#0  0x00007febb963534c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febb98bf5d3 in wait (this=<value optimized out>, mutex=0x19ae1e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x19ae1e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007febada64216 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x19aded0, th=0x1c7d6c0) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007febada67ec0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x19ae2c0, th=0x1c7d6c0) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007febada663e4 in ThreadWeaver::ThreadRunHelper::run (this=0x7feb9d969d70, parent=0x19aded0, th=0x1c7d6c0) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#6  0x00007febada664d4 in ThreadWeaver::Thread::run (this=0x1c7d6c0) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#7  0x00007febb98bedea in QThreadPrivate::start (arg=0x1c7d6c0) at thread/qthread_unix.cpp:320
#8  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#9  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#10 0x00007febb831495d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7feb89922700 (LWP 2425)):
#0  0x00007febb963534c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febb98bf5d3 in wait (this=<value optimized out>, mutex=0x19ae1e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x19ae1e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007febada64216 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x19aded0, th=0x3038b70) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007febada67ec0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x19ae2c0, th=0x3038b70) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007febada663e4 in ThreadWeaver::ThreadRunHelper::run (this=0x7feb89921d70, parent=0x19aded0, th=0x3038b70) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#6  0x00007febada664d4 in ThreadWeaver::Thread::run (this=0x3038b70) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#7  0x00007febb98bedea in QThreadPrivate::start (arg=0x3038b70) at thread/qthread_unix.cpp:320
#8  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#9  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#10 0x00007febb831495d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7feb87181700 (LWP 2573)):
#0  0x00007febb963534c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febb98bf5d3 in wait (this=<value optimized out>, mutex=0x19ae1e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x19ae1e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007febada64216 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x19aded0, th=0x3bf5800) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007febada67ec0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x19ae2c0, th=0x3bf5800) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007febada663e4 in ThreadWeaver::ThreadRunHelper::run (this=0x7feb87180d70, parent=0x19aded0, th=0x3bf5800) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#6  0x00007febada664d4 in ThreadWeaver::Thread::run (this=0x3bf5800) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#7  0x00007febb98bedea in QThreadPrivate::start (arg=0x3bf5800) at thread/qthread_unix.cpp:320
#8  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#9  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#10 0x00007febb831495d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7feb86980700 (LWP 2601)):
#0  0x00007febb963534c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febb98bf5d3 in wait (this=<value optimized out>, mutex=0x19ae1e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x19ae1e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007febada64216 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x19aded0, th=0x3ac1e10) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007febada67ec0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x19ae2c0, th=0x3ac1e10) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007febada663e4 in ThreadWeaver::ThreadRunHelper::run (this=0x7feb8697fd70, parent=0x19aded0, th=0x3ac1e10) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#6  0x00007febada664d4 in ThreadWeaver::Thread::run (this=0x3ac1e10) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#7  0x00007febb98bedea in QThreadPrivate::start (arg=0x3ac1e10) at thread/qthread_unix.cpp:320
#8  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#9  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#10 0x00007febb831495d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7feb87a2f700 (LWP 7155)):
#0  0x00007febb96356cb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febb98bf4fd in wait (this=<value optimized out>, mutex=0x302c640, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x302c640, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007febb98b2477 in QThreadPoolThread::run (this=0x1994e10) at concurrent/qthreadpool.cpp:140
#4  0x00007febb98bedea in QThreadPrivate::start (arg=0x1994e10) at thread/qthread_unix.cpp:320
#5  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#6  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#7  0x00007febb831495d in clone () from /lib/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7feb836e9700 (LWP 7156)):
#0  0x00007febb96356cb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febb98bf4fd in wait (this=<value optimized out>, mutex=0x3032780, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x3032780, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007febb98b2477 in QThreadPoolThread::run (this=0x3637c60) at concurrent/qthreadpool.cpp:140
#4  0x00007febb98bedea in QThreadPrivate::start (arg=0x3637c60) at thread/qthread_unix.cpp:320
#5  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#6  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#7  0x00007febb831495d in clone () from /lib/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7feb7bfff700 (LWP 7157)):
#0  0x00007febb96356cb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febb98bf4fd in wait (this=<value optimized out>, mutex=0x3032780, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x3032780, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007febb98b2477 in QThreadPoolThread::run (this=0x1c174e0) at concurrent/qthreadpool.cpp:140
#4  0x00007febb98bedea in QThreadPrivate::start (arg=0x1c174e0) at thread/qthread_unix.cpp:320
#5  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#6  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#7  0x00007febb831495d in clone () from /lib/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7feb84cd5700 (LWP 7158)):
#0  0x00007febb96356cb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febb98bf4fd in wait (this=<value optimized out>, mutex=0x3032780, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x3032780, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007febb98b2477 in QThreadPoolThread::run (this=0x3695f20) at concurrent/qthreadpool.cpp:140
#4  0x00007febb98bedea in QThreadPrivate::start (arg=0x3695f20) at thread/qthread_unix.cpp:320
#5  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#6  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#7  0x00007febb831495d in clone () from /lib/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7feb82014700 (LWP 7159)):
#0  0x00007febb96356cb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febb98bf4fd in wait (this=<value optimized out>, mutex=0x3032780, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x3032780, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007febb98b2477 in QThreadPoolThread::run (this=0x32df570) at concurrent/qthreadpool.cpp:140
#4  0x00007febb98bedea in QThreadPrivate::start (arg=0x32df570) at thread/qthread_unix.cpp:320
#5  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#6  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#7  0x00007febb831495d in clone () from /lib/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7feb7b7fe700 (LWP 7161)):
#0  0x00007febb96356cb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007febb98bf4fd in wait (this=<value optimized out>, mutex=0x3032780, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x3032780, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007febb98b2477 in QThreadPoolThread::run (this=0x30396b0) at concurrent/qthreadpool.cpp:140
#4  0x00007febb98bedea in QThreadPrivate::start (arg=0x30396b0) at thread/qthread_unix.cpp:320
#5  0x00007febacacfae3 in ?? () from /usr/lib/libGL.so.1
#6  0x00007febb9630cb0 in start_thread () from /lib/libpthread.so.0
#7  0x00007febb831495d in clone () from /lib/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7febbadf3760 (LWP 1874)):
[KCrash Handler]
#6  0x00007febb8dcce3a in QStyleSheetStyle::event (this=0x1bd16d0, e=0x7fffccc315f0) at styles/qstylesheetstyle.cpp:5801
#7  0x00007febb8a68e40 in QApplicationPrivate::notify_helper (this=0x18aa230, receiver=0x1bd16d0, e=0x7fffccc315f0) at kernel/qapplication.cpp:4462
#8  0x00007febb8a6e0e1 in QApplication::notify (this=<value optimized out>, receiver=0x1bd16d0, e=0x7fffccc315f0) at kernel/qapplication.cpp:4341
#9  0x00007febba771f51 in KApplication::notify (this=0x7fffccc32790, receiver=0x1bd16d0, event=0x7fffccc315f0) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#10 0x00007febb99b5eab in QCoreApplication::notifyInternal (this=0x7fffccc32790, receiver=0x1bd16d0, event=0x7fffccc315f0) at kernel/qcoreapplication.cpp:731
#11 0x00007febb8a678d2 in sendEvent (focus=0x0, reason=Qt::OtherFocusReason) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#12 QApplicationPrivate::setFocusWidget (focus=0x0, reason=Qt::OtherFocusReason) at kernel/qapplication.cpp:2235
#13 0x00007febb8ab1404 in QWidget::clearFocus (this=0x438f610) at kernel/qwidget.cpp:6434
#14 0x00007febb8abd541 in QWidget::~QWidget (this=0x438f610, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1563
#15 0x00007feba7b9a61d in UrlBar::~UrlBar (this=0x438f610, __in_chrg=<value optimized out>) at /home/felix/Development/rekonq/src/urlbar/urlbar.cpp:123
#16 0x00007feba7b9a662 in UrlBar::~UrlBar (this=0x438f610, __in_chrg=<value optimized out>) at /home/felix/Development/rekonq/src/urlbar/urlbar.cpp:127
#17 0x00007febb99cb250 in QObjectPrivate::deleteChildren (this=0x4b7a6f0) at kernel/qobject.cpp:1955
#18 0x00007febb8abd607 in QWidget::~QWidget (this=0x440aca0, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1631
#19 0x00007feba7b99c76 in StackedUrlBar::~StackedUrlBar (this=0x440aca0, __in_chrg=<value optimized out>) at /home/felix/Development/rekonq/src/urlbar/stackedurlbar.h:42
#20 0x00007feba7b99cb2 in StackedUrlBar::~StackedUrlBar (this=0x440aca0, __in_chrg=<value optimized out>) at /home/felix/Development/rekonq/src/urlbar/stackedurlbar.h:42
#21 0x00007febb8ac9b6a in QWidgetAction::~QWidgetAction (this=0x4f3f830, __in_chrg=<value optimized out>) at kernel/qwidgetaction.cpp:128
#22 0x00007febba698069 in KAction::~KAction (this=0x4f3f830, __in_chrg=<value optimized out>) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/kdeui/actions/kaction.cpp:171
#23 0x00007febb99cb250 in QObjectPrivate::deleteChildren (this=0x38183e0) at kernel/qobject.cpp:1955
#24 0x00007febb8abd607 in QWidget::~QWidget (this=0x3e81ed0, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1631
#25 0x00007febba832e9a in KMainWindow::~KMainWindow (this=0x3e81ed0, __in_chrg=<value optimized out>) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/kdeui/widgets/kmainwindow.cpp:467
#26 0x00007feba7b36529 in MainWindow::~MainWindow (this=0x3e81ed0, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /home/felix/Development/rekonq/src/mainwindow.cpp:166
#27 0x00007feba7b3659c in MainWindow::~MainWindow (this=0x3e81ed0, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /home/felix/Development/rekonq/src/mainwindow.cpp:171
#28 0x00007febb99cc458 in QObject::event (this=0x3e81ed0, e=<value optimized out>) at kernel/qobject.cpp:1200
#29 0x00007febb8ac213c in QWidget::event (this=0x3e81ed0, event=0x415a5a0) at kernel/qwidget.cpp:8718
#30 0x00007febb8eda2b3 in QMainWindow::event (this=0x3e81ed0, event=0x415a5a0) at widgets/qmainwindow.cpp:1480
#31 0x00007feba7b3da21 in MainWindow::event (this=0x3e81ed0, event=0x415a5a0) at /home/felix/Development/rekonq/src/mainwindow.cpp:1106
#32 0x00007febb8a68e40 in QApplicationPrivate::notify_helper (this=0x18aa230, receiver=0x3e81ed0, e=0x415a5a0) at kernel/qapplication.cpp:4462
#33 0x00007febb8a6e0e1 in QApplication::notify (this=<value optimized out>, receiver=0x3e81ed0, e=0x415a5a0) at kernel/qapplication.cpp:4341
#34 0x00007febba771f51 in KApplication::notify (this=0x7fffccc32790, receiver=0x3e81ed0, event=0x415a5a0) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#35 0x00007febb99b5eab in QCoreApplication::notifyInternal (this=0x7fffccc32790, receiver=0x3e81ed0, event=0x415a5a0) at kernel/qcoreapplication.cpp:731
#36 0x00007febb99b9e41 in sendEvent (receiver=0x0, event_type=0, data=0x175fb00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#37 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x175fb00) at kernel/qcoreapplication.cpp:1372
#38 0x00007febb99e3e73 in sendPostedEvents (s=0x18adac0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#39 postEventSourceDispatch (s=0x18adac0) at kernel/qeventdispatcher_glib.cpp:277
#40 0x00007febb533cbf3 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#41 0x00007febb533d3d0 in ?? () from /usr/lib/libglib-2.0.so.0
#42 0x00007febb533d66d in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#43 0x00007febb99e3fda in QEventDispatcherGlib::processEvents (this=0x1761cf0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#44 0x00007febb8b1aa06 in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#45 0x00007febb99b4912 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#46 0x00007febb99b4b94 in QEventLoop::exec (this=0x7fffccc32700, flags=...) at kernel/qeventloop.cpp:201
#47 0x00007febb99ba11b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#48 0x00007feba7bc5113 in kdemain (argc=2, argv=0x1867d00) at /home/felix/Development/rekonq/src/main.cpp:215
#49 0x00000000004078ec in launch (argc=<value optimized out>, _name=0x18a9518 "rekonq", args=<value optimized out>, cwd=0x18a951f "http://www.schwaebische-post.de/544693", envc=-859623104, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x40b781 "0") at /var/abs/local/kdelibs/src/kdelibs-4.6.1/kinit/kinit.cpp:734
#50 0x00000000004084fb in handle_launcher_request (sock=<value optimized out>, who=<value optimized out>) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/kinit/kinit.cpp:1226
#51 0x00000000004089f2 in handle_requests (waitForPid=<value optimized out>) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/kinit/kinit.cpp:1419
#52 0x0000000000408e77 in main (argc=4, argv=0x7fffccc33ad8, envp=0x7fffccc33b00) at /var/abs/local/kdelibs/src/kdelibs-4.6.1/kinit/kinit.cpp:1907
Comment 4 Andrea Diamantini 2011-03-23 21:48:31 UTC
Git commit 8eef7ab62aefcebfa0242ed1f7a402df84ba995e by Andrea Diamantini.
Committed on 23/03/2011 at 21:52.
Pushed by adjam into branch 'master'.

Stop timers before deleting objects.

CCBUG:268328
CCBUG:266937

M  +2    -0    src/mainwindow.cpp     
M  +1    -0    src/urlbar/urlbar.cpp     

http://commits.kde.org/rekonq/8eef7ab62aefcebfa0242ed1f7a402df84ba995e
Comment 5 Felix Rohrbach 2011-03-23 21:56:03 UTC
I'm still getting crashes.
Comment 6 Felix Rohrbach 2011-03-23 22:53:27 UTC
Hmm, now it works... Maybe I had still an old version running. Anyway, now it looks like the bug is fixed.
Comment 7 Christoph Feck 2011-09-07 18:24:59 UTC
*** Bug 272573 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2011-09-07 18:25:32 UTC
*** Bug 273027 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Feck 2011-09-07 18:25:58 UTC
*** Bug 276880 has been marked as a duplicate of this bug. ***
Comment 10 Christoph Feck 2011-09-07 18:26:28 UTC
*** Bug 279648 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Feck 2011-09-07 18:26:59 UTC
*** Bug 280938 has been marked as a duplicate of this bug. ***
Comment 12 Andrea Diamantini 2011-10-12 22:59:55 UTC
Git commit 8302ea16430afc414807c5251f04f129172e8995 by Andrea Diamantini.
Committed on 13/10/2011 at 00:58.
Pushed by adjam into branch 'master'.

Fix crash on private mode store/restore

This commit, while does not perfectly fix the issue, "workaround" it
a lot to fix crashes on private mode enter/exit

- improve session store/restore
- improve session manager code
- calm down kDebug messages
- applies code style

CCBUG: 268328

M  +19   -8    src/application.cpp
M  +4    -1    src/mainview.h
M  +67   -17   src/sessionmanager.cpp
M  +13   -2    src/sessionmanager.h
M  +0    -1    src/urlbar/listitem.cpp

http://commits.kde.org/rekonq/8302ea16430afc414807c5251f04f129172e8995
Comment 13 Martin 2011-10-25 11:54:30 UTC
Created attachment 64863 [details]
New crash information added by DrKonqi

rekonq (0.8.0) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:
I deactivated private mode. The animation of the normal mode window showed up but then rekonq crashed.
- Custom settings of the application:
3 tabs were open. nothing special on it as far as I remember.

-- Backtrace (Reduced):
#6  0x00007fc858539692 in QStyleSheetStyle::event (this=0xf7d9250, e=0x7fffb37a08b0) at styles/qstylesheetstyle.cpp:5808
#7  0x00007fc858222424 in notify_helper (e=0x7fffb37a08b0, receiver=0xf7d9250, this=0x6d02c0) at kernel/qapplication.cpp:4486
#8  QApplicationPrivate::notify_helper (this=0x6d02c0, receiver=0xf7d9250, e=0x7fffb37a08b0) at kernel/qapplication.cpp:4458
#9  0x00007fc858227291 in QApplication::notify (this=0x7fffb37a1640, receiver=0xf7d9250, e=0x7fffb37a08b0) at kernel/qapplication.cpp:4365
#10 0x00007fc85a759126 in KApplication::notify (this=0x7fffb37a1640, receiver=0xf7d9250, event=0x7fffb37a08b0) at ../../kdeui/kernel/kapplication.cpp:311
Comment 14 Christoph Feck 2011-10-26 20:53:29 UTC
*** Bug 281923 has been marked as a duplicate of this bug. ***
Comment 15 Christoph Feck 2011-10-26 20:55:44 UTC
*** Bug 283363 has been marked as a duplicate of this bug. ***
Comment 16 Christoph Feck 2011-10-26 20:56:11 UTC
*** Bug 284995 has been marked as a duplicate of this bug. ***
Comment 17 Christoph Feck 2011-11-01 16:16:04 UTC
*** Bug 285386 has been marked as a duplicate of this bug. ***
Comment 18 geckor 2011-11-04 18:19:15 UTC
Created attachment 65239 [details]
New crash information added by DrKonqi

rekonq (0.8.0) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

Closing Private Mode (after browsing Facebook in Private Mode)

-- Backtrace (Reduced):
#6  0x00007f6233fb7692 in QStyleSheetStyle::event (this=0x6521b80, e=0x7fff2364c8b0) at styles/qstylesheetstyle.cpp:5808
#7  0x00007f6233ca0424 in notify_helper (e=0x7fff2364c8b0, receiver=0x6521b80, this=0x21f2490) at kernel/qapplication.cpp:4486
#8  QApplicationPrivate::notify_helper (this=0x21f2490, receiver=0x6521b80, e=0x7fff2364c8b0) at kernel/qapplication.cpp:4458
#9  0x00007f6233ca5291 in QApplication::notify (this=0x7fff2364d640, receiver=0x6521b80, e=0x7fff2364c8b0) at kernel/qapplication.cpp:4365
#10 0x00007f62361d7126 in KApplication::notify (this=0x7fff2364d640, receiver=0x6521b80, event=0x7fff2364c8b0) at ../../kdeui/kernel/kapplication.cpp:311
Comment 19 Ettore Atalan 2011-11-06 02:15:34 UTC
Created attachment 65278 [details]
New crash information added by DrKonqi

rekonq (0.8.0) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

I was leaving private mode and wanted to go back to normal mode.

-- Backtrace (Reduced):
#6  0x00007f0263feb692 in QStyleSheetStyle::event (this=0x29aadd0, e=0x7fffa8f70650) at styles/qstylesheetstyle.cpp:5808
#7  0x00007f0263cd4424 in notify_helper (e=0x7fffa8f70650, receiver=0x29aadd0, this=0x23c9f10) at kernel/qapplication.cpp:4486
#8  QApplicationPrivate::notify_helper (this=0x23c9f10, receiver=0x29aadd0, e=0x7fffa8f70650) at kernel/qapplication.cpp:4458
#9  0x00007f0263cd9291 in QApplication::notify (this=0x7fffa8f713e0, receiver=0x29aadd0, e=0x7fffa8f70650) at kernel/qapplication.cpp:4365
#10 0x00007f026620b126 in KApplication::notify (this=0x7fffa8f713e0, receiver=0x29aadd0, event=0x7fffa8f70650) at ../../kdeui/kernel/kapplication.cpp:311
Comment 20 Christoph Feck 2011-11-11 11:43:36 UTC
*** Bug 286064 has been marked as a duplicate of this bug. ***
Comment 21 Christoph Feck 2011-11-11 11:44:09 UTC
*** Bug 286330 has been marked as a duplicate of this bug. ***
Comment 22 Christoph Feck 2011-11-11 11:44:39 UTC
*** Bug 286183 has been marked as a duplicate of this bug. ***
Comment 23 Silviu C. 2011-12-05 16:18:22 UTC
Created attachment 66407 [details]
New crash information added by DrKonqi

rekonq (0.8.0) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

I was returning from private mode browsing.

-- Backtrace (Reduced):
#6  0x00007f0a411a5692 in QStyleSheetStyle::event (this=0x2616570, e=0x7fff342f57d0) at styles/qstylesheetstyle.cpp:5808
#7  0x00007f0a40e8e424 in notify_helper (e=0x7fff342f57d0, receiver=0x2616570, this=0x1f11190) at kernel/qapplication.cpp:4486
#8  QApplicationPrivate::notify_helper (this=0x1f11190, receiver=0x2616570, e=0x7fff342f57d0) at kernel/qapplication.cpp:4458
#9  0x00007f0a40e93291 in QApplication::notify (this=0x7fff342f6560, receiver=0x2616570, e=0x7fff342f57d0) at kernel/qapplication.cpp:4365
#10 0x00007f0a433c6126 in KApplication::notify (this=0x7fff342f6560, receiver=0x2616570, event=0x7fff342f57d0) at ../../kdeui/kernel/kapplication.cpp:311
Comment 24 Silviu C. 2011-12-11 17:52:07 UTC
Created attachment 66637 [details]
New crash information added by DrKonqi

rekonq (0.8.1) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

Try switching between private browsing mode and normal mode a few times. Yes I was deliberately trying to crash the browser.

-- Backtrace (Reduced):
#6  0x00007f61335bf692 in QStyleSheetStyle::event (this=0x26f8770, e=0x7fff4b67e810) at styles/qstylesheetstyle.cpp:5808
#7  0x00007f61332a8424 in notify_helper (e=0x7fff4b67e810, receiver=0x26f8770, this=0x2009a50) at kernel/qapplication.cpp:4486
#8  QApplicationPrivate::notify_helper (this=0x2009a50, receiver=0x26f8770, e=0x7fff4b67e810) at kernel/qapplication.cpp:4458
#9  0x00007f61332ad291 in QApplication::notify (this=0x7fff4b67f5a0, receiver=0x26f8770, e=0x7fff4b67e810) at kernel/qapplication.cpp:4365
#10 0x00007f61357e0126 in KApplication::notify (this=0x7fff4b67f5a0, receiver=0x26f8770, event=0x7fff4b67e810) at ../../kdeui/kernel/kapplication.cpp:311
Comment 25 Andrea Diamantini 2011-12-18 09:05:45 UTC
*** Bug 289209 has been marked as a duplicate of this bug. ***
Comment 26 Andrea Diamantini 2011-12-29 09:17:36 UTC
It finally works here, cause of qtwebkit upgrade and a couple of fixes "probably" related.
Please, confirm it with:
rekonq master
KDE 4.7.x
qtwebkit 2.2.x.

I could browse and switch 12 times from private mode to normal one.
Comment 27 Robert Downing 2011-12-29 14:49:13 UTC
Tried without debugger installed, failed returning from "private" to normal where there were two tabs open & active. Crashed immediately after clearing the "Private browsing" menu selection. This happens without navigating to anywhere during "Private browsing."

KDE 4.7.2
Rekonq 0.8.0
qtwebkit-source (2.2~2011week36-0ubuntu1) oneiric
kde4libs (4:4.7.3-0ubuntu0.1) oneiric-proposed
Comment 28 Andrea Diamantini 2011-12-29 17:42:30 UTC
Yes, Robert. I'm aware rekonq 0.8 is affected. I was asking if someone testing/using rekonq compiled from master branch (the one that will become 0.9) is.
Comment 29 Silviu C. 2011-12-30 11:31:40 UTC
Created attachment 67241 [details]
New crash information added by DrKonqi

rekonq (0.8.57) on KDE Platform 4.7.95 (4.8 RC1 (4.7.95) using Qt 4.7.4

- What I was doing when the application crashed:
 I was testing the latest build I made after getting source via "git clone git://anongit.kde.org/rekonq "

-- Backtrace (Reduced):
#6  0x00007f2d6e786692 in QStyleSheetStyle::event (this=0x28e6050, e=0x7fffbc14ab60) at styles/qstylesheetstyle.cpp:5808
#7  0x00007f2d6e46f424 in notify_helper (e=0x7fffbc14ab60, receiver=0x28e6050, this=0x24d2b30) at kernel/qapplication.cpp:4486
#8  QApplicationPrivate::notify_helper (this=0x24d2b30, receiver=0x28e6050, e=0x7fffbc14ab60) at kernel/qapplication.cpp:4458
#9  0x00007f2d6e474291 in QApplication::notify (this=0x7fffbc14b8f0, receiver=0x28e6050, e=0x7fffbc14ab60) at kernel/qapplication.cpp:4365
#10 0x00007f2d709aaa46 in KApplication::notify (this=0x7fffbc14b8f0, receiver=0x28e6050, event=0x7fffbc14ab60) at ../../kdeui/kernel/kapplication.cpp:311
Comment 30 Andrea Diamantini 2011-12-30 15:57:35 UTC
(In reply to comment #29)
> Created an attachment (id=67241) [details]
> New crash information added by DrKonqi
> 
> rekonq (0.8.57) on KDE Platform 4.7.95 (4.8 RC1 (4.7.95) using Qt 4.7.4

Can you please test again with Qt 4.8 and using qtwebkit2.2 (available by default there)?
Comment 31 Silviu C. 2011-12-30 16:04:41 UTC
Umm, KDE RC1 comes from a ppa the Kubuntu team set up for testing with Oneiric. So, unless they put a Qt update in there or anywhere else, I'm unable to help further :/
Comment 32 Andrea Diamantini 2011-12-31 08:54:54 UTC
(In reply to comment #31)
> Umm, KDE RC1 comes from a ppa the Kubuntu team set up for testing with Oneiric.
> So, unless they put a Qt update in there or anywhere else, I'm unable to help
> further :/

Ok Silviu, no worries! And many thanks for help :D
Comment 33 Andrea Diamantini 2012-01-02 15:06:27 UTC
It seems this is a specific qt bug, fixed in qt 4.8: https://bugreports.qt.nokia.com/browse/QTBUG-19872.

Can someone of you confirm?
Comment 34 Andrea Diamantini 2012-01-17 09:43:09 UTC
*** Bug 287391 has been marked as a duplicate of this bug. ***
Comment 35 tigusoft 2012-01-19 21:13:11 UTC
Created attachment 68025 [details]
New crash information added by DrKonqi

rekonq (0.8.0) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

- What I was doing when the application crashed:

started konqueror and quickly closed it's window. Using default Kubuntu (KDE desktop environment)

-- Backtrace (Reduced):
#6  0x00007f77b297e692 in QStyleSheetStyle::event (this=0x2312600, e=0x7ffffc5117d0) at styles/qstylesheetstyle.cpp:5808
#7  0x00007f77b2667424 in notify_helper (e=0x7ffffc5117d0, receiver=0x2312600, this=0x1bd98e0) at kernel/qapplication.cpp:4486
#8  QApplicationPrivate::notify_helper (this=0x1bd98e0, receiver=0x2312600, e=0x7ffffc5117d0) at kernel/qapplication.cpp:4458
#9  0x00007f77b266c291 in QApplication::notify (this=0x7ffffc512560, receiver=0x2312600, e=0x7ffffc5117d0) at kernel/qapplication.cpp:4365
#10 0x00007f77b4b9f126 in KApplication::notify (this=0x7ffffc512560, receiver=0x2312600, event=0x7ffffc5117d0) at ../../kdeui/kernel/kapplication.cpp:311
Comment 36 Andrea Diamantini 2012-01-31 07:36:19 UTC
*** Bug 290044 has been marked as a duplicate of this bug. ***
Comment 37 Andrea Diamantini 2012-01-31 07:36:35 UTC
*** Bug 292005 has been marked as a duplicate of this bug. ***
Comment 38 Andrea Diamantini 2012-01-31 07:37:05 UTC
*** Bug 292915 has been marked as a duplicate of this bug. ***
Comment 39 Andrea Diamantini 2012-02-03 08:13:40 UTC
*** Bug 293156 has been marked as a duplicate of this bug. ***
Comment 40 Andrea Diamantini 2012-02-05 05:56:24 UTC
*** Bug 293312 has been marked as a duplicate of this bug. ***
Comment 41 Andrea Diamantini 2012-02-07 08:42:25 UTC
*** Bug 293497 has been marked as a duplicate of this bug. ***
Comment 42 Andrea Diamantini 2012-02-11 08:32:31 UTC
*** Bug 293812 has been marked as a duplicate of this bug. ***
Comment 43 David 2012-03-05 18:06:44 UTC
Created attachment 69306 [details]
drkonqi generated backtrace

rekonq didnt crash after returning from private mode, but closing rekonq while in private mode
Comment 44 David 2012-03-05 18:09:46 UTC
Created attachment 69307 [details]
drkonqi generated backtrace

rekonq crashed after exiting the (main) window while in private browsing mode
Comment 45 David 2012-03-05 18:11:04 UTC
Comment on attachment 69307 [details]
drkonqi generated backtrace

rekonq crashed exiting while in private browsing mode
Comment 46 Andrea Diamantini 2012-04-12 00:06:58 UTC
*** Bug 296612 has been marked as a duplicate of this bug. ***
Comment 47 Andrea Diamantini 2012-04-24 14:47:54 UTC
*** Bug 273408 has been marked as a duplicate of this bug. ***
Comment 48 Jekyll Wu 2012-05-31 18:40:15 UTC
*** Bug 300694 has been marked as a duplicate of this bug. ***
Comment 49 gregor 2012-06-02 20:13:00 UTC
Excuse me but how is this bug a duplicate of my bug Bug 300694 ? Rekonq shouldn't even open kdenlive files in the first place!!!! And i never used private browsing. Sure it may be that same libraries caused the crash. but the situation is completelly different. in my case there was no private browsing and rekonq was opening empty tabs automaticly for some time. until it crashed.
Comment 50 Andrea Diamantini 2012-06-02 20:43:03 UTC
(In reply to comment #49)
> Excuse me but how is this bug a duplicate of my bug Bug 300694 ? Rekonq
> shouldn't even open kdenlive files in the first place!!!! And i never used
> private browsing. Sure it may be that same libraries caused the crash. but
> the situation is completelly different. in my case there was no private
> browsing and rekonq was opening empty tabs automaticly for some time. until
> it crashed.

Gregor, I understand you find this strange, but please think about it for a moment. Noone is saying here that the two situations described in the bugs are similar, we just noticed they lead to same situation in the same piece of code. Fix it and both will restart working as desired.

Regards
Comment 51 Andrea Diamantini 2012-06-05 14:50:02 UTC
*** Bug 301198 has been marked as a duplicate of this bug. ***
Comment 52 Andrea Diamantini 2012-06-06 16:16:50 UTC
*** Bug 301251 has been marked as a duplicate of this bug. ***
Comment 53 db2007 2012-06-15 11:37:33 UTC
Created attachment 71854 [details]
New crash information added by DrKonqi

rekonq (0.9.1) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

- What I was doing when the application crashed:

Switching from private browsing mode to normal mode.

-- Backtrace (Reduced):
#8  0xb4611b76 in QStyleSheetStyle::event (this=0x8c812c0, e=0xbfefbe00) at styles/qstylesheetstyle.cpp:5798
#9  0xb4298ed4 in notify_helper (e=0xbfefbe00, receiver=0x8c812c0, this=0x89bbfb0) at kernel/qapplication.cpp:4559
#10 QApplicationPrivate::notify_helper (this=0x89bbfb0, receiver=0x8c812c0, e=0xbfefbe00) at kernel/qapplication.cpp:4531
#11 0xb429e30d in QApplication::notify (this=0xbfefbe00, receiver=0x8c812c0, e=0xbfefbe00) at kernel/qapplication.cpp:4288
#12 0xb5643b61 in KApplication::notify (this=0xbfefced8, receiver=0x8c812c0, event=0xbfefbe00) at ../../kdeui/kernel/kapplication.cpp:311
Comment 54 Andrea Diamantini 2012-07-01 09:51:42 UTC
*** Bug 302658 has been marked as a duplicate of this bug. ***
Comment 55 Andrea Diamantini 2012-07-03 17:15:11 UTC
Git commit ba9fa320c47eaf322abe11e1a6b6708620b65fdf by Andrea Diamantini.
Committed on 03/07/2012 at 19:11.
Pushed by adjam into branch 'master'.

Get sure UrlBar is deleted well (i.e. later) and in the right place
(i.e. the WebTab dtor).

I cannot no more reproduce the problems described in #296346, #300892
and #268328

What about you?
Related: bug 296346, bug 300892

M  +10   -0    src/mainview.cpp
M  +2    -1    src/mainview.h
M  +7    -2    src/webtab.cpp

http://commits.kde.org/rekonq/ba9fa320c47eaf322abe11e1a6b6708620b65fdf
Comment 56 Jekyll Wu 2012-07-03 23:54:06 UTC
*** Bug 301864 has been marked as a duplicate of this bug. ***
Comment 57 Andrea Diamantini 2012-07-24 08:55:15 UTC
*** Bug 303973 has been marked as a duplicate of this bug. ***
Comment 58 Andrea Diamantini 2012-07-24 08:59:38 UTC
Yes, commit ba9fa320c47 fixed it!
Comment 59 Jekyll Wu 2012-07-28 16:31:10 UTC
*** Bug 304185 has been marked as a duplicate of this bug. ***
Comment 60 Jekyll Wu 2012-08-13 13:23:50 UTC
*** Bug 304040 has been marked as a duplicate of this bug. ***
Comment 61 Jekyll Wu 2012-08-13 13:24:30 UTC
*** Bug 305080 has been marked as a duplicate of this bug. ***
Comment 62 Michael Reiher 2012-08-23 18:07:52 UTC
Should the above mentioned fix be contained in 1.0? Because I get this crash with 1.0 when closing browser windows. I've never used private mode with this installation.
Comment 63 David Kredba 2012-09-18 18:02:45 UTC
Created attachment 74006 [details]
New crash information added by DrKonqi

rekonq (1.1) on KDE Platform 4.9.1 using Qt 4.8.3

- What I was doing when the application crashed:

Closed multitabbed Rekonq window by mouse click.

-- Backtrace (Reduced):
#6  0x00007f4ed9fccfa2 in QStyleSheetStyle::event (this=0x21eb700, e=0x7fff79852970) at styles/qstylesheetstyle.cpp:5798
#7  0x00007f4ed9cb8dfc in QApplicationPrivate::notify_helper (this=this@entry=0x1938ec0, receiver=receiver@entry=0x21eb700, e=e@entry=0x7fff79852970) at kernel/qapplication.cpp:4557
#8  0x00007f4ed9cbab7a in QApplication::notify (this=0x7fff79853b40, receiver=0x21eb700, e=0x7fff79852970) at kernel/qapplication.cpp:4418
#9  0x00007f4edb8b56b6 in KApplication::notify (this=0x7fff79853b40, receiver=0x21eb700, event=0x7fff79852970) at /var/tmp/portage/kde-base/kdelibs-4.9.1/work/kdelibs-4.9.1/kdeui/kernel/kapplication.cpp:311
#10 0x00007f4edaafc15e in QCoreApplication::notifyInternal (this=0x7fff79853b40, receiver=0x21eb700, event=0x7fff79852970) at kernel/qcoreapplication.cpp:915
Comment 64 Jure Repinc 2012-10-04 00:10:14 UTC
I still get the crash with this backtrace when I exit private mode and I has multiple tabs open. KDE Platform 4.9.2, Rekonq 1.1, Qt 4.8.3
Comment 65 Jekyll Wu 2012-11-22 00:58:34 UTC
*** Bug 310470 has been marked as a duplicate of this bug. ***